#ifndef GLYPHANIMBACKGROUND_H
#define GLYPHANIMBACKGROUND_H 1

#include <cairomm/context.h>
#include <gtkmm/eventbox.h>

#include "background.h"
#include "glyph.h"

class GlyphAnimBackground : public Background
{
	public:
		GlyphAnimBackground( GlyphID ID, MyDrawingArea* darea );
		~GlyphAnimBackground();
		virtual bool onExposeEvent( GdkEventExpose *event, Cairo::RefPtr<Cairo::Context> context, MyDrawingArea *dArea );
		virtual void restart();
	protected:
		virtual void drawLast();
		virtual bool on_timer();
		LineList lines;
		MyDrawingArea* dArea;
		int line;
		int point;
		sigc::connection timer;
};


#endif //GLYPHANIMBACKGROUND_H
