#ifndef GLYPHEDITORTASK_H
#define GLYPHEDITORTASK_H

#include <gtkmm/box.h>
#include <gtkmm/button.h>
#include "task.h"
#include "mydrawingarea.h"
#include "linebackground.h"
#include "glyphdb.h"

class GlyphEditorTask : public Task {
	public:
		GlyphEditorTask();
		virtual bool restart();
		virtual Gtk::Widget& getMainWidget();
	protected:
		Gtk::VBox editorWindow;
		MyDrawingArea editingArea;
		LineBackground bg;
		Glyph* g;
		Gtk::Button buttonClear;
		Gtk::Button buttonSave;
		Gtk::HBox editorButtons;
		void on_buttonClear_clicked();
		void on_buttonSave_clicked();
};

#endif
