#ifndef TRANSWINDOW_H
#define TRANSWINDOW_H

#include <gtkmm/button.h>
#include <gtkmm/label.h>
#include <gtkmm/window.h>
#include <gtkmm/box.h>
#include <gtkmm/textview.h>
#include <glibmm/ustring.h>
#include "mydrawingarea.h"
#include "oldglyphbg.h"

class TransWindow : public Gtk::Window {
	public:
		TransWindow();
		int addBg( Background* bg );
		int removeBg( Background* bg );
		int clear();
		bool addText( Glib::ustring txt );
		bool clearText();
	protected:
		bool on_key_press_event( GdkEventKey *event );
		Gtk::VBox m_vbox;
		MyDrawingArea m_area;
		Gtk::TextView m_text;
};

#endif
