#ifndef TYPES_H
#define TYPES_H

#include <vector>
#include <map>
#include <glib.h>
#include <glibmm/ustring.h>
#include <cstdio>
#include <stdlib.h>
#include <string.h>
#include <cmath>

using namespace std;
#define REP(i,n) for(__typeof(n) i=0; i<(n); ++i)
#define FOR(i,a,b) for(__typeof(b) i=a; i<(b); ++i)
#define FOREACH(it,c) for(__typeof((c).begin()) it=(c).begin(); it!=(c).end(); ++it)
#define BLACK 0.0, 0.0, 0.0, 0.8
#define GREEN 0.1, 0.9, 0.1, 0.8
#define BLUE 0.1, 0.1, 0.9, 0.8
#define GREY 0.5, 0.5, 0.5, 0.8
#define EPS 0.0001

#define POSUN 1 //ak 1, tak sa robi posun podla obdlznika, inac podla prvej suradnice

typedef struct{
	gdouble x,y;
	int press;
} Point;

typedef vector <Point> Line;
typedef vector <Line> LineList;
typedef int GlyphID;

LineList lineList3( LineList ll );
std::string format_string_arg_list(const char *fmt, va_list args);
std::string format_string(const char *fmt, ...);

#endif 
