

#include "folderlabel.h"

FolderLabel::FolderLabel(std::string picturePath, Glib::ustring labelString, bool showLabel, bool showPicture )
	: m_label( labelString )
{
	if (showLabel) {
		pack_end( m_label, false, false, 1);
		m_label.show();
	}
	if (showPicture) {
		m_image.set( picturePath );
		pack_end( m_image, false, false, 1);
		m_image.show();
	}
}
