#ifndef GLYPH_H
#define GLYPH_H

#include "types.h"

/**
 * Informacie o jednom vzore.
 */
class Glyph
{
	public:
		Glyph();
		int loadFromFile(Glib::ustring filename);
		int saveToFile(Glib::ustring filename);
		Glib::ustring name; /**< Meno tohoto znaku. */
		vector<Glib::ustring> categories; /**< Kategorie do ktorych tento znak patri (okruhle, jednoduche, lastovicky, ...). */
		LineList lines; /**< Samotne ciary v znaku. */
	private:
};

#endif
