#ifndef GLYPHDB_H
#define GLYPHDB_H

#include "types.h"
#include "glyph.h"

/**
 * Databaza vzorov.
 */

class GlyphDB
{
	public:
		GlyphDB();
		~GlyphDB();
		int addGlyph( Glyph* g );
		static GlyphDB* globalDB();
		LineList getLinesByID( GlyphID id );
		Glyph* getGlyphByID( GlyphID id );
		GlyphID getRandomID();
	private:
		GlyphID ID;
		map <GlyphID, Glyph*> glyphs; /**< mapovanie IDcka na glyf v databaze */
		GlyphID newID();
		Glib::ustring idToFile(GlyphID myID);
};

#endif
