#ifndef GLYPHWHOLEBACKGROUND_H
#define GLYPHWHOLEBACKGROUND_H

#include <cairomm/context.h>
#include <gtkmm/eventbox.h>

#include "background.h"
#include "glyph.h"

class GlyphWholeBackground : public Background  {
	public:
		GlyphWholeBackground( GlyphID id );
		virtual bool onExposeEvent( GdkEventExpose *event, Cairo::RefPtr<Cairo::Context> context, MyDrawingArea *dArea );
	protected:
		LineList lines;
};

#endif
