
#include "linebackground.h"
#include "mydrawingarea.h"

LineBackground::LineBackground(){
}

bool LineBackground::onExposeEvent( GdkEventExpose *event, Cairo::RefPtr<Cairo::Context> context, MyDrawingArea *dArea  ) {
	context->set_line_width(2);
	context->set_source_rgba( .0, .5, 1.0, 1.0 );
	double x1,x2;
	x1=dArea->get_dArea()->get_allocation().get_x();
	x2=x1+dArea->get_dArea()->get_allocation().get_width();

	context->move_to( x1, dArea->getBaseLineY() );
	context->line_to( x2, dArea->getBaseLineY() );
	context->move_to( x1, dArea->getBaseLineY() - dArea->getLineHeight() );
	context->line_to( x2, dArea->getBaseLineY() - dArea->getLineHeight() );
	context->stroke();
	return true;
}
