#ifndef OLDGLYPHBG_H
#define OLDGLYPHBG_H

#include <cairomm/context.h>
#include <gtkmm/eventbox.h>

#include "background.h"
#include "glyph.h"

class OldGlyphBg : public Background  {
	public:
		OldGlyphBg();
		virtual bool onExposeEvent( GdkEventExpose *event, Cairo::RefPtr<Cairo::Context> context, MyDrawingArea *dArea );
		int addLineList( LineList ll, double r, double g, double b, double al );
		int addLineListWithCircle( LineList ll, double r, double g, double b, double al, int cl, int cp );
		int addCircle( int cl, int cp );
		int clear();
	protected:
		vector <LineList> linelists;
		vector <vector <double> > colors;
		vector <pair <int, int> > circles;
};

#endif
